1.4 dsi

Discussion in 'NDS - Flashcarts and Accessories' started by gotchapt, Jan 17, 2010.

  1. gotchapt
    OP

    gotchapt GBAtemp Regular

    Member
    159
    0
    Sep 6, 2009
    Sorry for this re-repost, but I can't find any updated topic about it. Search not working too well.

    I bought a 1.4 baby blue dsi. Can I downgrade or is there a card that will work with 1.4 firmware?

    What do I do?
     
  2. Chaz.

    Chaz. GBAtemp Fan

    Member
    314
    0
    Jul 7, 2009
    UK
    Many cards work with 1.4x, best bet I say is Acekard 2i, but I prefer TTDSi as it's cheaper and has good compatability with games under A12 unnofficial menu. R4i Gold is not bad either, but R4 clones are poorly praised.

    Then again, wait a bit longer and you'll see Supercard DSTWO soon with GBA/Snes rom support (hopefully it's better than the crappy DS iplayer!)
     
  3. gotchapt
    OP

    gotchapt GBAtemp Regular

    Member
    159
    0
    Sep 6, 2009
    Don't I need to update the Acekard 2i on another ds to be able to use it?
     
  4. soulx

    soulx GBAtemp Legend

    Member
    10,130
    4,708
    Apr 4, 2009
    Canada
    Yes.

    Some online stores will have the option for them to update it.
     
  5. gotchapt
    OP

    gotchapt GBAtemp Regular

    Member
    159
    0
    Sep 6, 2009
    Thanks for the reply. Do you know some that will do it?
     
  6. 8BitWalugi

    8BitWalugi Taiyohhhhhh!

    Member
    3,426
    273
    Mar 22, 2008
    Australia
    Side 7
    The iPlayer was meant to show off the capabilities a DSi Flashcart could have. It was the first DS cart that could have a GBA Emulator. That pretty good. It could also run .avi videos. The iPlayer really was a big advancement in flashcards.
     
  7. gotchapt
    OP

    gotchapt GBAtemp Regular

    Member
    159
    0
    Sep 6, 2009
    Found a store that does it. Gonna try it later.